> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Follow Message > Follow a message to receive notifications. ### Changelog | Version | Description | | ---------------- | ------------| | 1.0.0 | Added | ## OpenAPI ````json POST /api/v1/chat.followMessage { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.followMessage": { "post": { "tags": [ "Chat" ], "summary": "Follow Message", "description": "Follow a message to receive notifications.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n| 1.0.0 | Added |", "operationId": "post-api-v1-chat.followMessage", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "mid": { "type": "string", "description": "The `id` of the message to follow." } }, "required": [ "mid" ] }, "examples": { "Example 1": { "value": { "mid": "7aDSXtjMA3KPLxLjt" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "[The required \"mid\" body param is missing.]", "errorType": "The required \"mid\" body param is missing." } }, "Invalid message ID": { "value": { "success": "false", "error": "Invalid message [error-invalid-message]", "errorType": "error-invalid-message", "details": { "method": "followMessage" } } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````